	{% include "admin/header.html" %}
	{% load set_var %}
	<div class="col-md-10">
		<div class="row">
			<div class="page-header">
				<h1><i style="   color: rgb(232, 232, 232);" class="glyphicon glyphicon-folder-open"></i> &nbsp;Proyek</h1>
			</div>
		</div>

		<div class="row">
			<div class="panel panel-default bootstrap-admin-no-table-panel">
				<div class="panel-heading">
					<div class="text-muted bootstrap-admin-box-title">Daftar semua proyek</div>
					<div class="pull-right"><span class="badge">
						<a href="{% url 'beribuku_app:admin.program.new' %}"><i class="glyphicon glyphicon-edit"></i>&nbsp;Buat proyek baru</a>
					</span></div>
				</div>
				<div class="bootstrap-admin-panel-content bootstrap-admin-no-table-panel-content collapse in">


					<div>
						<div>
							<div class="container" style="width: 100%">
								{% if alert_msg %}
								<div class="alert alert-{% if alert_success %}success{% else %}danger{% endif %} alert-dismissible" role="alert">
									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>{% autoescape on %}{{ alert_msg }}{% endautoescape %}</div>
									{% endif %}
									
									<div class="table">
										<table class="datatable">
											<thead>
												<tr>

													<th>Nama Proyek</th>
													<th>Lokasi</th>
													<th>Deadline</th>
													<th style="width:50%"></th>
												</tr>
											</thead>
											<tbody>
												{% for data in program %}
												{% set flag = True %}
												{% set count = forloop.counter  %}
												{% for donasi in donasi %}
												{% if donasi.program.id == data.id %}
												<tr>

													<td>{{ data.nama }}</td>
													<td>{{ data.target }}</td>
													{% autoescape on %}
													<td>{{ donasi.adf|date:"d M Y" }}</td>
													{% endautoescape %}
													<td>

														<div class="btn-group" role="group" aria-label="...">
															<a href="/admin/view/?programId={{ data.id }}" >
																<button class="btn btn-sm btn-primary">
																	<i class="glyphicon glyphicon-fullscreen"></i>
																	View
																</button>
															</a>

															<a href="/admin/edit/?programId={{ data.id }}">
																<button class="btn btn-sm btn-success">
																	<i class="glyphicon glyphicon-pencil"></i>
																	Edit
																</button>
															</a>

															<a href="#" data-toggle="modal" data-target="#delete-{{ data.id }}" >
																<button class="btn btn-sm btn-danger">
																	<i class="glyphicon glyphicon-trash"></i>
																	Delete
																</button>
															</a>

															<a href="/admin/donasi/new/{{ data.id }}">
																<button class="btn btn-sm btn-warning">
																	<i class="glyphicon glyphicon-plus"></i>
																	Donasi
																</button>
															</a>

															<a href="/admin/mail/proposal/{{ data.id }}">
																<button class="btn btn-sm btn-info">
																	<i class="glyphicon glyphicon-send"></i>
																	Proposal
																</button>
															</a>

															<a href="/admin/mail/lpj/{{ data.id }}">
																<button class="btn btn-sm btn-info">
																	<i class="glyphicon glyphicon-send"></i>
																	LPJ
																</button>
															</a>
														</div>

													</td>

													<div id="delete-{{ data.id }}" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
														<div class="modal-dialog">
															<div class="modal-content">

																<div class="modal-header">
																	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
																	<h4 class="modal-title">Konfirmasi Menghapus Proyek</h4>
																</div>

																<div class="modal-body">
																	<p>Apakah anda yakin akan menghapus Proyek <strong>{{ data.nama }}</strong> ? Menghapus program {{ data.nama }} juga akan menghapus semua donatur yang mendonasikan di proyek ini (jumlah : {{ data.donatur_set.count }}). Proyek dan donatur yang dihapus tidak dapat dikembalikan</p>
																</div>

																<div class="modal-footer">
																	<button type="button" class="btn btn-default" data-dismiss="modal">Batalkan</button>
																	<a href="/admin/delete/?programId={{ data.id }}" class="btn btn-primary">Hapus Proyek</a>
																</div>
															</div>
														</div>
													</div>

												</tr>
												{% endif %}
												{% endfor %}
												{% endfor %}
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				</div>
				</div>
				</div>
				</div>

{% include "admin/footer.html" %}
				{% load static %}
				
<script src="{% static 'js/bootstrap.min.js' %}"></script>      


			</body>

			</html>
